Bug 74574 - EDITING: Crop dialogue shows rotated image un-rotated
Summary: EDITING: Crop dialogue shows rotated image un-rotated
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Draw-Images Image-Crop
  Show dependency treegraph
 
Reported: 2014-02-05 16:56 UTC by James Murray
Modified: 2021-06-09 03:47 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
PDF showing screenshot (to ensure formatting preserved!) (90.53 KB, application/pdf)
2014-02-05 16:56 UTC, James Murray
Details
raw file (64.46 KB, application/vnd.oasis.opendocument.graphics)
2014-02-05 16:58 UTC, James Murray
Details

Note You need to log in before you can comment on or make changes to this bug.
Description James Murray 2014-02-05 16:56:50 UTC
Created attachment 93459 [details]
PDF showing screenshot (to ensure formatting preserved!)

Looks similar to bug 35922

Problem description: 
When cropping an embedded image that has been rotated (using the position and size rotate tab) the image is still shown un-rotated in the crop dialogue. This is confusing as you can end up cropping the wrong side of the image

Steps to reproduce:
1. insert an image
2. rotate it by 180deg
3. attempt to crop it

Current behavior:
Image shows un-rotated.

Expected behavior:
Image should honour rotation.
Comment 1 James Murray 2014-02-05 16:58:10 UTC
Created attachment 93460 [details]
raw file

Attached raw DRAW file (bug submitted as Writer in error)
Comment 2 Cor Nouws 2014-02-05 20:43:07 UTC
Hi James,

thanks for the clear report end mentioning the other bug.

I can confrim the problem. And just as the other one, it's an oldy.

cheers,
Cor
Comment 3 QA Administrators 2016-02-21 08:37:31 UTC Comment hidden (obsolete)
Comment 4 James Murray 2016-02-21 22:14:42 UTC
LibreOffice 5.0.4.2 tested on Linux

The Crop Dialogue no longer exists (so far as I can tell) so the problem reported no longer occurs.

The new GUI cropping works far better.
Comment 5 Cor Nouws 2016-02-22 14:05:37 UTC
(In reply to James Murray from comment #4)
> LibreOffice 5.0.4.2 tested on Linux
> 
> The Crop Dialogue no longer exists (so far as I can tell) so the problem
> reported no longer occurs.
> 
> The new GUI cropping works far better.

Yep :)
But Format > Crop image still launches the dialog, with the problem.
Comment 6 Cor Nouws 2016-02-22 14:06:14 UTC
(In reply to Cor Nouws from comment #5)

> Yep :)
> But Format > Crop image still launches the dialog, with the problem.

Setting to Minor now.
Comment 7 QA Administrators 2018-06-02 03:09:24 UTC Comment hidden (obsolete)
Comment 8 Cor Nouws 2019-06-09 08:10:54 UTC
still in Version: 6.3.0.0.alpha1+
Build ID: 77ae0abe21f672cf4b7d2e069f1d40d20edc49a7
CPU threads: 4; OS: Linux 5.0; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-05-31_15:33:33
Locale: nl-NL (nl_NL.UTF-8); UI-Language: en-US
Calc: threaded
Comment 9 QA Administrators 2021-06-09 03:47:58 UTC
Dear James Murray,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug